<?php

namespace Daylight\Core\Http\Requests\Settings\TaxClasses;

use Illuminate\Foundation\Http\FormRequest;

class UpdateTaxClassRequest extends FormRequest
{
    public function authorize(): bool
    {
        return auth()->check() && auth()->user()->can('update:advanced-settings');
    }

    public function rules(): array
    {
        return [
            'name' => ['required', 'string'],
        ];
    }
}
